SonarCloud does not support Python 3.8 syntax such as Walrus Operator

We use Python 3.8 and have started to use some of the new syntax features such as the Walrus Operator. Sonar is confused about that and flags false positives as a result.


https://docs.python.org/3/whatsnew/3.8.html

1 Like

Hi @sodul,
Indeed, I confirm that our Python analyzer doesn’t support yet Python 3.8

Supporting Python 3.8 is in our radar and we plan to work soon on it: https://jira.sonarsource.com/browse/MMF-1859

1 Like

The Python analyzer now supports Python 3.8.

Thanks!